Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Settlements

List settlement transactions

Test this endpoint live

Open the same request directly in API Explorer.

Open in API Explorer

Server URL

GET
/public/api/v1/settlements/transfers/{transferId}/transactions

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

transferIdstring
Required
Format:
uuid

Query Parameters

perPageinteger

Maximum number of results to return in the response.

Default:
25
Range:
1 <= value <= 500
offsetstring

Cursor returned by nextOffset. Omit or pass an empty string to fetch the first page.

Example:
"019b3168-9334-770c-b34f-829d3c9c65d1"

Response Body

application/json

curl -X GET "https://example.com/public/api/v1/settlements/transfers/497f6eca-6276-4993-bfeb-53cbbbba6f08/transactions"
{  "currentOffset": "",  "nextOffset": "019b3168-9334-770c-b34f-829d3c9c65d1",  "perPage": 25,  "hasMore": false,  "items": [    {      "settlementTransaction": {        "id": "019b3130-5d58-716d-8881-9a3ec506017f",        "settlementTransferId": "019b3130-5d58-716d-8881-9a3ec506017f",        "transactionId": "50947727185442134",        "agreementId": "R01234",        "merchantReference": "ref-settlement-6",        "acquirerReference": "acq-tx-settlement-6",        "postingDate": "2025-01-01",        "settlementNetAmount": "100.01",        "settlementCurrency": "DKK",        "adjustments": [          {            "type": "FEE",            "amount": "-1.00",            "description": "discount_rate"          }        ],        "createdAt": "2025-12-18T11:20:11Z"      },      "transaction": {        "id": "LDG7M4WW44G",        "subscriptionId": "0197c07b-3f6d-7be2-b848-702b08958128",        "billingAgreementChargeId": "019a727b-987f-7768-a59e-71af920ef81f",        "state": "PENDING",        "errorCode": "string",        "externalStatusCodes": {          "terminal": "string",          "acquirer": "string",          "network": "string",          "sca": "string"        },        "createdAt": "2019-08-24T14:15:22Z",        "sessionId": "string",        "paymentMethodId": "b6df8625-cd25-4123-b345-638aa7b5d011",        "paymentMethodType": "CARD",        "paymentMethodSubType": "Visa",        "paymentMethodExpiry": "2019-08-24",        "paymentMethodDisplayText": "string",        "paymentMethodHolderName": "string",        "scaMode": "SKIP",        "customerId": "string",        "amount": 0,        "fee": 0,        "currency": "string",        "instantCapture": "OFF",        "notificationUrl": "http://example.com",        "pointOfSaleId": "be6bff4f-7fac-43c0-9f6b-cf2cd45ed7d1",        "reference": "string",        "textOnStatement": "string",        "exemptions": [          "LVT",          "TRA"        ],        "attributes": {          "property1": null,          "property2": null        },        "clientIp": "52.212.176.122",        "clientCountry": "DK",        "type": "PAYMENT"      }    }  ]}
Empty
Empty
Empty